ezmlm-dispatch(1)

NAME
ezmlm-dispatch - Dispatch an email to other ezmlm programs

SYNOPSIS
ezmlm-dispatch [ -vV ] dir [ list ]

DESCRIPTION
ezmlm-dispatch is used in a .qmail-default file to handle delivery to multiple mailing lists in a directory. It assumes each list has been created in a directory of the same name as the list's local name. It examines the value of $DEFAULT set by qmail-local to determine which list the message is destined to, and what file within the list directory is to control the message delivery.

    If the address matches:	Delivery is handled by:
    LIST	LIST/editor
    LIST-owner	LIST/owner
    LIST-digest-owner	LIST/owner
    LIST-digest-return-*	LIST/bouncer
    LIST-return-*	LIST/bouncer
    LIST-confirm-*	LIST/confirmer
    LIST-discard-*	LIST/confirmer
    LIST-accept-*	LIST/moderator
    LIST-reject-*	LIST/moderator
    LIST-*	LIST/manager

If the optional list argument is present, it names the list, and $DEFAULT is only examined for what file is to control the delivery. This can be used to have ezmlm-dispatch control the operations of a single list. If dir/qmqpservers exists, ezmlm-dispatch will use qmail-qmqp(1) to forward messages.

OPTIONS

-v  Display ezmlm-dispatch version information.

-V  Display ezmlm-dispatch version information.

RETURN VALUE
ezmlm-dispatch exits with the first non-zero exit code from any of the programs it executes, or zero otherwise.

SEE ALSO
ezmlm-make(1), ezmlm-manage(1), ezmlm-send(1)

CAVEATS
Unlike qmail-local, ezmlm-dispatch changes directory into the list directory before executing any commands. Programs which expect to be executed from the starting directory will fail. No ezmlm-idx programs are impacted by this.

For security reasons, ezmlm-dispatch does not allow delivery to any address with a "/" in it. This will break subscribe (and similar) confirmations for senders that use email addresses with a "/" in them.

In the case of ezmlm-dispatch handling a single list, it is not possible to use the .qmail-LIST-default file hand off control to the editor file for actual list delivery rather than administrative messages. A second .qmail-LIST file will still be necessary in this case.

RESTRICTIONS
ezmlm-dispatch does not support delivery to mbox files or maildirs.

ezmlm-dispatch does not set $EXT, $EXT2, $EXT3, or $EXT4 as qmail-local does when doing local deliveries. None of the ezmlm programs use these environment variables.